import { type Engine, type IDelta, type IParticleUpdater, type RecursivePartial } from "@tsparticles/engine";
import type { IOrbitParticlesOptions, OrbitContainer, OrbitParticle, OrbitParticlesOptions } from "./Types.js";
import { OrbitType } from "./Enums.js";
export declare class OrbitUpdater implements IParticleUpdater {
    private readonly _container;
    private readonly _engine;
    constructor(container: OrbitContainer, engine: Engine);
    afterDraw(particle: OrbitParticle): void;
    beforeDraw(particle: OrbitParticle): void;
    drawOrbit(particle: OrbitParticle, type: OrbitType): void;
    init(particle: OrbitParticle): void;
    isEnabled(particle: OrbitParticle): boolean;
    loadOptions(options: OrbitParticlesOptions, ...sources: (RecursivePartial<IOrbitParticlesOptions> | undefined)[]): void;
    update(particle: OrbitParticle, delta: IDelta): void;
}
