(function (factory) {
    if (typeof module === "object" && typeof module.exports === "object") {
        var v = factory(require, exports);
        if (v !== undefined) module.exports = v;
    }
    else if (typeof define === "function" && define.amd) {
        define(["require", "exports", "@tsparticles/engine", "./OrbitUpdater.js"], factory);
    }
})(function (require, exports) {
    "use strict";
    Object.defineProperty(exports, "__esModule", { value: true });
    exports.loadOrbitUpdater = loadOrbitUpdater;
    const engine_1 = require("@tsparticles/engine");
    const OrbitUpdater_js_1 = require("./OrbitUpdater.js");
    async function loadOrbitUpdater(engine, refresh = true) {
        (0, engine_1.assertValidVersion)(engine, "3.7.1");
        await engine.addParticleUpdater("orbit", container => {
            return Promise.resolve(new OrbitUpdater_js_1.OrbitUpdater(container, engine));
        }, refresh);
    }
});
